Bug 1487098 - [RFE] Support Security Group CRUD in OpenStack
Summary: [RFE] Support Security Group CRUD in OpenStack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: MVP
: 5.9.0
Assignee: Gilles Dubreuil
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 09:11 UTC by Loic Avenel
Modified: 2018-03-01 13:16 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 13:16:22 UTC
Category: Feature
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
No protocol to choose (131.73 KB, image/png)
2017-11-13 14:26 UTC, Ido Ovadia
no flags Details
Fail to create a rule (141.87 KB, image/png)
2017-11-13 14:28 UTC, Ido Ovadia
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 0 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Description Loic Avenel 2017-08-31 09:11:32 UTC
Support Service Group CRUD in OpenStack

Comment 2 Tzu-Mainn Chen 2017-08-31 12:09:17 UTC
This is about security group management, right?

Comment 3 Loic Avenel 2017-08-31 12:34:56 UTC
(In reply to Tzu-Mainn Chen from comment #2)
> This is about security group management, right?

yes, corrected the title

Comment 5 Gilles Dubreuil 2017-09-06 02:58:44 UTC
The main patch is: https://github.com/ManageIQ/manageiq-ui-classic/pull/1011

The bigger dependency is with the Javascript re-factor using "vm = this" instead of "$scope": https://github.com/ManageIQ/manageiq-ui-classic/pull/1448

Also the required factory for unit tests: https://github.com/ManageIQ/manageiq/pull/15114

And finally the remote security group id fixes: 
https://github.com/ManageIQ/manageiq-providers-openstack/pull/46
https://github.com/ManageIQ/manageiq-providers-openstack/pull/39

Comment 6 Ido Ovadia 2017-11-13 14:21:57 UTC
Failed QA
=========
CFME 5.9.0.8

Steps to Reproduce:
===================
1. Create A security group
2. Select the security group
3. Click: Configuration --> Edit this Security Group
4. Create Firewall Rules:
      IP Range:0.0.0.0/0
      Port: 22
      End: Port 

Actual results:
===============
Can't select 'Direction', Network Protocol', 'Host Protocol' - Screenshot enclosed  

Therefore adding rule fail - Screenshot enclosed

Comment 7 Ido Ovadia 2017-11-13 14:26:17 UTC
Created attachment 1351581 [details]
No protocol to choose

Comment 8 Ido Ovadia 2017-11-13 14:28:17 UTC
Created attachment 1351582 [details]
Fail to create a rule

Comment 9 Gilles Dubreuil 2017-11-16 23:05:44 UTC
Changes to UI has broken the dropdown boxes, please see https://bugzilla.redhat.com/show_bug.cgi?id=1507915

Comment 10 Gilles Dubreuil 2017-11-21 23:45:41 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/2543 has been back ported.

Comment 12 Ido Ovadia 2017-12-21 13:48:37 UTC
Verified
========
5.9.0.14

Comment 15 errata-xmlrpc 2018-03-01 13:16:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.